Debian Bug report logs - #693147
ttytter: Package breaks against Twitter API 1.1

version graph

Package: ttytter; Maintainer for ttytter is Thijs Kinkhorst <thijs@debian.org>; Source for ttytter is src:ttytter.

Reported by: Stephen Michael Kellat <skellat@fastmail.net>

Date: Tue, 13 Nov 2012 16:51:02 UTC

Severity: important

Found in version ttytter/2.0.1-1

Fixed in version ttytter/2.1.0-1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Tue, 13 Nov 2012 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Michael Kellat <skellat@fastmail.net>:
New Bug report received and forwarded. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Tue, 13 Nov 2012 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Michael Kellat <skellat@fastmail.net>
To: submit@bugs.debian.org
Subject: ttytter: Package breaks against Twitter API 1.1
Date: Tue, 13 Nov 2012 11:49:25 -0500
Subject: ttytter: Package breaks against Twitter API 1.1
Package: ttytter
Version: 2.0.1-1
Justification: renders package unusable
Severity: grave

Dear Maintainer,

As of 4 October 2012, this version will no longer function properly
against Twitter API 1.1 and unanticipted errors are expected to arise
over time as Twitter further adjusts their API.  A new version that is
more API-compliant has not yet been released but is currently in beta. 
See: http://www.floodgap.com/software/ttytter/beta/ for more
information.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-3-kirkwood
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ttytter depends on:
ii  curl  7.26.0-1
ii  lynx  2.8.8dev.12-2
ii  perl  5.14.2-14

Versions of packages ttytter recommends:
ii  libterm-readline-gnu-perl  1.20-2+b1
ii  libtimedate-perl           1.2000-1

ttytter suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Tue, 13 Nov 2012 21:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Tue, 13 Nov 2012 21:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 693147@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Stephen Michael Kellat <skellat@fastmail.net>
Cc: debian-release@lists.debian.org, 693147@bugs.debian.org
Subject: Re: The package ttytter
Date: Tue, 13 Nov 2012 21:04:58 +0000
On Tue, 2012-11-13 at 15:35 -0500, Stephen Michael Kellat wrote:
> It was suggested to me that I contact the Debian Release Team about this
> package.  I filed a grave bug on it and ask that it be pulled from
> Wheezy.

You filed that bug approximately four hours ago afaics; generally one
would give the maintainer time to respond before invoking the release
team.

CCing the bug so we can try and avoid having two divergent streams of
discussion.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Sat, 24 Nov 2012 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Sat, 24 Nov 2012 13:12:05 GMT) Full text and rfc822 format available.

Message #15 received at 693147@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: control@bugs.debian.org
Cc: 693147@bugs.debian.org
Subject: Not RC
Date: Sat, 24 Nov 2012 14:08:49 +0100 (CET)
severity 693147 normal
kthxbye

Basic functionality works great for me, so this is not release critical!

-- 
Cheers,
Nik



Severity set to 'normal' from 'grave' Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Sat, 24 Nov 2012 13:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Sat, 24 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Michael Kellat <skellat@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 24 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.


Message #22 received at 693147@bugs.debian.org (full text, mbox):

From: Stephen Michael Kellat <skellat@fastmail.net>
To: 693147@bugs.debian.org
Cc: control@bugs.debian.org
Date: Sat, 24 Nov 2012 16:40:56 -0500
severity 693147 grave
kthxbye

That "basic functionality" is breaking on February 1st.  Kinda
inappropriate to ship a version of a package that *will* be broken by
then.



Severity set to 'grave' from 'normal' Request was from Stephen Michael Kellat <skellat@fastmail.net> to control@bugs.debian.org. (Sat, 24 Nov 2012 21:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Thu, 29 Nov 2012 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Michael Kellat <skellat@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Thu, 29 Nov 2012 22:24:03 GMT) Full text and rfc822 format available.

Message #29 received at 693147@bugs.debian.org (full text, mbox):

From: Stephen Michael Kellat <skellat@fastmail.net>
To: 693147@bugs.debian.org
Subject: Last seen update from upstram
Date: Thu, 29 Nov 2012 17:21:26 -0500
https://twitter.com/ttytter/status/271813275635830784

"2.1 beta 4 is, hopefully, near the end of the 2.1 beta period. if
you're not using it, try http://www.floodgap.com/software/ttytter/beta/
… today."

The 2.1 version will be ready for the API break set to kick off on
February 1, 2013.



Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Fri, 30 Nov 2012 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Fri, 30 Nov 2012 18:27:06 GMT) Full text and rfc822 format available.

Message #34 received at 693147@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 693147@bugs.debian.org
Cc: "Stephen Michael Kellat" <skellat@fastmail.net>
Subject: Re: ttytter: Package breaks against Twitter API 1.1
Date: Fri, 30 Nov 2012 19:25:03 +0100
Hi,

> That "basic functionality" is breaking on February 1st.  Kinda
> inappropriate to ship a version of a package that *will* be broken by
> then.

Thanks. I'm aware of it. There are however two complicating factors:
1) Upstream release with support for this API is still in beta.
2) Debian is currently in freeze, which in principle prevents uploading
new upstream releases let alone new branches.

As it seems, (1) may be resolved soon. Perhaps when that's done, we can
confer with the release team to see how to approch this issue best.


Cheers,
Thijs



Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Fri, 30 Nov 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Michael Kellat <skellat@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Fri, 30 Nov 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #39 received at 693147@bugs.debian.org (full text, mbox):

From: Stephen Michael Kellat <skellat@fastmail.net>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 693147@bugs.debian.org
Subject: Re: ttytter: Package breaks against Twitter API 1.1
Date: Fri, 30 Nov 2012 13:42:52 -0500
On 11/30/2012 01:25 PM, Thijs Kinkhorst wrote:
> Hi,
>
>> That "basic functionality" is breaking on February 1st.  Kinda
>> inappropriate to ship a version of a package that *will* be broken by
>> then.
> Thanks. I'm aware of it. There are however two complicating factors:
> 1) Upstream release with support for this API is still in beta.
> 2) Debian is currently in freeze, which in principle prevents uploading
> new upstream releases let alone new branches.
>
> As it seems, (1) may be resolved soon. Perhaps when that's done, we can
> confer with the release team to see how to approch this issue best.
>
>
> Cheers,
> Thijs
I've pinged Dr. Kaiser and haven't heard back from him.  With luck
TTYtter comes out of beta soon.  The version currently in repo will work
just fine with Identica **but** that's still an off-label usage that
isn't really fully supported and is supposed to start breaking with the
API divergence.  Cameron outlined what will stop working once Twitter
goes to API 1.1 in February and it remains a significant chunk of
functionality.

For now, we wait...

Stephen Michael Kellat




Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Tue, 18 Dec 2012 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Michael Kellat <skellat@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Tue, 18 Dec 2012 23:33:06 GMT) Full text and rfc822 format available.

Message #44 received at 693147@bugs.debian.org (full text, mbox):

From: Stephen Michael Kellat <skellat@fastmail.net>
To: 693147@bugs.debian.org
Cc: Thijs Kinkhorst <thijs@debian.org>, ckaiser@floodgap.com
Subject: Fwd: heise online: StatusNet transforms into Node.js-driven pump.io
Date: Tue, 18 Dec 2012 18:30:50 -0500
This appears to weaken the case for keeping the package as-is as the
off-label use option relative to StatusNet is likely to decline in
usability as we head into 2013 and Evan Prodromou's crew starts
diverging away from a Twitter-like API.

SMK

-------- Original Message --------
Subject: 	heise online: StatusNet transforms into Node.js-driven pump.io
Date: 	Wed, 19 Dec 2012 00:22:41 +0100
From: 	Stephen Michael Kellat <skellat@sdf.lonestar.org>
To: 	skellat@fastmail.net



This piece of news from The H has been sent to you by "Stephen Michael Kellat <skellat@sdf.lonestar.org>". The sender's address has not been verified. If you doubt the sender's authenticy please ignore this mail.
------------------------------------------------------------------------
18 December 2012, 17:10

StatusNet transforms into Node.js-driven pump.io





Evan Prodromou, the founder of status.net[1], has announced that the company is closing down its microblog hosting service and is migrating active accounts to its new pump.io[2] service while archiving unused ones. The status.net company will also rebrand under the name e14n[3] to reflect the fact that it is offering more than just one product. 

The company has now stopped development on its open source Status.Net software. That software started life as a Twitter clone, unlike the new pump.io platform is more of a general purpose messaging server than a microblogging system. As Prodromou said[4] on identi.ca[5], "I think it's more like postfix, ircd, or jabberd. A server for sending and receiving stuff in particular ways."

The identi.ca service itself will, much like the other free-of-charge and commercial accounts run by the company, eventually be folded into the new pump.io platform. However, Prodromou says that this will not happen until other public instances are up and running on the new service that users can use. He announced this "So, y'know, don't freak out", he told identi.ca's user community. He also expressed sadness over leaving the status.net domain behind and thanked the employees who kept the infrastructure running.

In contrast to the AGPL licensed StatusNet which is written in PHP, pump.io is using JavaScript with the Node.js framework and is licensed under the Apache 2.0 License. The software is currently at version 0.1, version 0.2 is in development and will include a web front-end that works with the messaging server. Source code[6] for the pump.io software is available on GitHub.

See also:

identi.ca creator launches enterprise micro-blogging support[7], a report from The H. 



This features's URL:
http://www.h-online.com/open/news/item/StatusNet-transforms-into-Node-js-driven-pump-io-1771646.html


Links in this feature:

  [1] http://status.net/
  [2] http://pump.io/
  [3] http://e14n.com
  [4] http://identi.ca/notice/98530312
  [5] http://identi.ca/
  [6] https://github.com/e14n/pump.io
  [7] http://www.h-online.com/news/item/identi-ca-creator-launches-enterprise-micro-blogging-support-940925.html

------------------------------------------------------------------------
Copyright 2012 Heise Media UK Ltd.






Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Fri, 28 Dec 2012 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Michael Kellat <skellat@fastmail.net>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Fri, 28 Dec 2012 21:18:05 GMT) Full text and rfc822 format available.

Message #49 received at 693147@bugs.debian.org (full text, mbox):

From: Stephen Michael Kellat <skellat@fastmail.net>
To: 693147@bugs.debian.org
Cc: Thijs Kinkhorst <thijs@debian.org>, Cameron Kaiser <ckaiser@floodgap.com>
Subject: Upstream released Twitter API 1.1 version
Date: Fri, 28 Dec 2012 16:15:07 -0500
Okay.  Cameron released TTYtter 2.1.0 as of 27 December 2012 which
complies with Twitter API 1.1.[1]  Twitter notes on their calendar that
the "drop dead" date for Twitter API 1.0 is 5 March 2013.[2]  Cameron
notes that all previous versions of TTYtter will cease to work with
Twitter as of that date due to Twitter's API deprecation.  Also noted is
that Term::ReadLine::TTYtter, which currently is packaged with the
script in Debian, would have to be bumped up to a new version as the
currently packaged version will not play nice with the new version of
the script.

The new upstream is done and Wheezy remains in freeze.  The questions
now:

1.  Will the Release Team grant an exception since Twitter announced the
major shift in API through an API deprecation on 16 August 2012 after
the freeze kicked off on 30 June 2012?
2.  If the Release Team will not grant an exception, can the package be
pulled from shipping with Wheezy since it will likely be unusable
shortly after Wheezy being released in 2013?  
3.  Do we have any idea if the other Twitter clients that are in the
package archive are going to be ready for this API deprecation or will
other packages be encountering issues if we ship them?  This would be
something more for the Release Team to consider than for the current
bug.

[1]: (http://www.floodgap.com/software/ttytter/dl.html)
[2]: (https://dev.twitter.com/calendar)



Information forwarded to debian-bugs-dist@lists.debian.org, Thijs Kinkhorst <thijs@debian.org>:
Bug#693147; Package ttytter. (Sat, 29 Dec 2012 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Thijs Kinkhorst <thijs@debian.org>. (Sat, 29 Dec 2012 16:33:08 GMT) Full text and rfc822 format available.

Message #54 received at 693147@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Stephen Michael Kellat" <skellat@fastmail.net>, 693147@bugs.debian.org
Subject: Re: Bug#693147: Upstream released Twitter API 1.1 version
Date: Sat, 29 Dec 2012 17:30:58 +0100
Hi Stephen,

On Fri, December 28, 2012 22:15, Stephen Michael Kellat wrote:
> Okay.  Cameron released TTYtter 2.1.0 as of 27 December 2012 which
> complies with Twitter API 1.1.[1]  Twitter notes on their calendar that
> the "drop dead" date for Twitter API 1.0 is 5 March 2013.[2]  Cameron
> notes that all previous versions of TTYtter will cease to work with
> Twitter as of that date due to Twitter's API deprecation.  Also noted is
> that Term::ReadLine::TTYtter, which currently is packaged with the
> script in Debian, would have to be bumped up to a new version as the
> currently packaged version will not play nice with the new version of
> the script.
>
> The new upstream is done and Wheezy remains in freeze.  The questions
> now:
>
> 1.  Will the Release Team grant an exception since Twitter announced the
> major shift in API through an API deprecation on 16 August 2012 after
> the freeze kicked off on 30 June 2012?
> 2.  If the Release Team will not grant an exception, can the package be
> pulled from shipping with Wheezy since it will likely be unusable
> shortly after Wheezy being released in 2013?
> 3.  Do we have any idea if the other Twitter clients that are in the
> package archive are going to be ready for this API deprecation or will
> other packages be encountering issues if we ship them?  This would be
> something more for the Release Team to consider than for the current
> bug.

The new TTYtter 2.1.0 release is as of now available in Debian unstable.

I have considered the options for this bug. I find that option 1 seems
highly unlikely since it indeed means to allow a freeze exception for not
only a new upstream release but a complete upstream new branch (2.1 vs
2.0). Besides that the package also requires upgrading
Term::Readline::TTYtter to 1.4. I believe we best discount this option.

Option two is certainly at our disposal. I doubt however that we should
ask for removal from wheezy. Firstly, because it still works now, and we
can always pull it from wheezy later when the API indeed is discontinued.
And secondly, because TTYtter may still be useful for non-Twitter usage.
Most notably identi.ca, which is used extensively in the free software
world.

So I'm inclined to go for the following path:
a. Fix the problem in unstable. That has now been done.
b. Lower this bug to severity 'important', to not require removal of
TTYtter from Wheezy now or in the future.
c. Invest effort to ensure that a version that supports Twitter is
available for Wheezy. This can be done after release via Debian Backports
or via the Stable Updates suite.

If we change our mind on the 'b' step, we can always ask for removal
later, we do not lose that option.


Cheers,
Thijs



Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sat, 29 Dec 2012 16:36:05 GMT) Full text and rfc822 format available.

Notification sent to Stephen Michael Kellat <skellat@fastmail.net>:
Bug acknowledged by developer. (Sat, 29 Dec 2012 16:36:05 GMT) Full text and rfc822 format available.

Message #59 received at 693147-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 693147-close@bugs.debian.org
Subject: Bug#693147: fixed in ttytter 2.1.0-1
Date: Sat, 29 Dec 2012 16:33:07 +0000
Source: ttytter
Source-Version: 2.1.0-1

We believe that the bug you reported is fixed in the latest version of
ttytter, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693147@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated ttytter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Dec 2012 17:09:06 +0100
Source: ttytter
Binary: ttytter
Architecture: source all
Version: 2.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 ttytter    - console Twitter client
Closes: 684335 693147
Changes: 
 ttytter (2.1.0-1) unstable; urgency=low
 .
   * New upstream release (closes: #684335).
   * Implements support for Twitter API 1.1 (closes: #693147).
Checksums-Sha1: 
 ebf2711c7c707f50483c5a46c1167f4a1af66823 1462 ttytter_2.1.0-1.dsc
 a4424b1038a743d9bdc7566e5bf71775bcded20f 125353 ttytter_2.1.0.orig.tar.gz
 79069c56ba34b2f5f87f10371a264613e67f57ef 6888 ttytter_2.1.0-1.diff.gz
 7fb4068e315522e27e059675feeed63c12212499 131310 ttytter_2.1.0-1_all.deb
Checksums-Sha256: 
 95a06acadb909fc734cbc7a7fe9e8d966a7718721a2d0dd57ac596865ccd711e 1462 ttytter_2.1.0-1.dsc
 732e25547f7cee697400ba79d0267a8c1235aa714c0f7fd6f83c302873babab7 125353 ttytter_2.1.0.orig.tar.gz
 f1d46ee051fc2590c1228a58894bee48a29a99a58a6caa8ea5cb18d5d3d258a4 6888 ttytter_2.1.0-1.diff.gz
 e2f281b55607cecf5a1a06c516352342b6ba92b6651a5e0189aedb0367f57dbf 131310 ttytter_2.1.0-1_all.deb
Files: 
 26c6a49d4fb260f606cf0b1abefefebb 1462 non-free/net optional ttytter_2.1.0-1.dsc
 f0b26b58a9eff744fbd91bba44b11488 125353 non-free/net optional ttytter_2.1.0.orig.tar.gz
 87935cd6b69dfc16c2133fbaa1cca49d 6888 non-free/net optional ttytter_2.1.0-1.diff.gz
 76e9b3ec5271be14ab4839ca41ecb784 131310 non-free/net optional ttytter_2.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJQ3xfdAAoJEFb2GnlAHawE7QYH/1odCGOTGfKTx68Dr6A6abMk
DHedGvbLL/rsKcInVrTy3pFbxqj8XY84kx2FdFu8kV9U4EHr3BFbOHn3fOZu2R+l
HY/jHL0u2Ikjk9xHteHdZQL5fFTrv6n6UQZ7VCpqbcTLOiwxDi4ihXcw4mre2kT1
iIUzy7PKk9e9H7eCSTZ0HpF+pn27Mgr6Q2KK1Ce25Kg+GX6IPnags2UBNv/wpljY
+mcZwVJIMVFoWVYjEPl0f81qJYhVrteLBv9CuGS79qHHpl79eEdXvtnj/43XIrgM
a2CNtJajtoxOr3GPKn3qTEnWYAKYK8DtOfmjeVxZqy5+sEJRRGfNIlR1oLA2zgM=
=ajXs
-----END PGP SIGNATURE-----




Severity set to 'important' from 'grave' Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sat, 29 Dec 2012 16:39:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:26:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:46:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.